Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class NamedCriteriaProxy

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.NamedCriteriaProxy

    class NamedCriteriaProxy

Method Summary
`java.lang.Object` | `call(Object[] params)`
`java.lang.Object` | `count(groovy.lang.Closure additionalCriteriaClosure = null)`
`java.lang.Object` | `findAllWhere(java.util.Map params, java.lang.Boolean uniq = false)`
`java.lang.Object` | `findWhere(java.lang.Object params)`
`java.lang.Object` | `get(java.lang.Object id)`
`java.lang.Object` | `list(Object[] params, groovy.lang.Closure additionalCriteriaClosure = null)`
`java.lang.Object` | `listDistinct(Object[] params, groovy.lang.Closure additionalCriteriaClosure = null)`
`java.lang.Object` | `methodMissing(java.lang.String methodName, java.lang.Object args)`
`void` | `propertyMissing(java.lang.String propName, java.lang.Object val)`
`java.lang.Object` | `propertyMissing(java.lang.String propertyName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### call

    java.lang.Object call(Object[] params)

### count

    java.lang.Object count(groovy.lang.Closure additionalCriteriaClosure = null)

### findAllWhere

    java.lang.Object findAllWhere(java.util.Map params, java.lang.Boolean uniq = false)

### findWhere

    java.lang.Object findWhere(java.lang.Object params)

### get

    java.lang.Object get(java.lang.Object id)

### list

    java.lang.Object list(Object[] params, groovy.lang.Closure additionalCriteriaClosure = null)

### listDistinct

    java.lang.Object listDistinct(Object[] params, groovy.lang.Closure additionalCriteriaClosure = null)

### methodMissing

    java.lang.Object methodMissing(java.lang.String methodName, java.lang.Object args)

### propertyMissing

    void propertyMissing(java.lang.String propName, java.lang.Object val)

### propertyMissing

    java.lang.Object propertyMissing(java.lang.String propertyName)

Groovy Documentation